
package com.jeelowcode.core.framework.config.aspect.enhance.model;

/**
 * @author JX
 * @create 2024-08-19 12:00
 * @dedescription:
 */
public class BaseEnhanceContext {

    private Boolean before; //当前是前置增强

    private Boolean onlyBefore = false; //只执行前置增强

    public Boolean getBefore() {
        return before;
    }

    public void setBefore(Boolean before) {
        this.before = before;
    }

    public Boolean getOnlyBefore() {
        return onlyBefore;
    }

    public void setOnlyBefore(Boolean onlyBefore) {
        this.onlyBefore = onlyBefore;
    }
}
